#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE6,0xD3,0x54,0x49,0xB0,0x6E,0x83,0x88,0xF9,0xCC,0x1D,0xA3,
		0x3B,0x95,0x26,0x80,0xB8,0x03,0x17,0x11,0xEC,0xB7,0x0E,0x17,
		0xA1,0x7C,0x0E,0x37,0x22,0x5A,0xA9,0xEC,0x34,0xB4,0x0B,0xEF,
		0xA4,0xB9,0xF9,0x22,0xFF,0x31,0xB7,0x81,0x87,0x21,0x6A,0x7D,
		0x63,0xC9,0x1C,0x6B,0x02,0xA3,0x3F,0x4B,0x4C,0x2F,0xBD,0xA7,
		0x0A,0xAF,0xEA,0xD3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
